"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _core = require("@emotion/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Select = ({
  label,
  options,
  value,
  onChange,
  defaultValue
}) => {
  return (0, _core.jsx)("div", {
    css: _styles.containerStyle
  }, (0, _core.jsx)("label", {
    css: _styles.labelStyle
  }, label), (0, _core.jsx)("select", {
    css: _styles.selectStyle,
    value: value || '',
    onChange: onChange,
    defaultValue: defaultValue
  }, options.map(option => (0, _core.jsx)("option", {
    key: option.value || '',
    value: option.value || ''
  }, option.label))));
};

var _default = Select;
exports.default = _default;