"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.workspaceActions = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _index = _interopRequireDefault(require("./components/Import/index.js"));

var _index2 = _interopRequireDefault(require("./components/Configuration/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let pluginName = `GraphQL Query Generator`;
const workspaceActions = [{
  label: `${pluginName}: From URL`,
  icon: 'fa-solid fa-download',
  action: (context, models) => {
    const root = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_index.default, {
      models: models,
      context: context
    }), root);

    context.app.dialog('Import GraphQL From URL', root);
  }
}, {
  label: `${pluginName}: Settings`,
  icon: 'fa-solid fa-gears',
  action: (context, _) => {
    const root = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_index2.default, {
      insomniaContext: context
    }), root);

    context.app.dialog('Settings', root);
  }
}];
exports.workspaceActions = workspaceActions;